Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	RawPhoto GIMP-2.0 plug-in
Name:      	gimp-rawphoto-plugin
Version:   	1.19
Release:   	3
Provides:	gimp-rawphoto-plugin
License: 	GNU/GPL
URL:		http://ptj.rozeta.com.pl/Soft/RawPhoto/
Group:     	Graphics
Source0: 	rawphoto-200410220928.tgz
# Source1: 	dcraw.c
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	libjpeg-devel gimp-devel
Requires: 	gimp
Requires:	ufraw

%description
This is beta code of the GIMP-2.0 plug-in for reading photos (images) in RAW file format
from any digital camera supported by Dave's Coffin dcraw utility into gimp. The plug-in is
based in part on the code of the original Dave's plug-in but has quite different internal
workflow. There is a preview in the dialog, and all color manipulations are made with 16 bit
depth. There are separate gamma, brigtnes, white-balance (with colour temperature scale)
and grean/magenta cast controls.

%prep
%setup -n rawphoto-200410220910
#install -m 644 %{SOURCE1} .

%build
#gcc -o dcraw -Os dcraw.c -lm -ljpeg
cd src
gimptool-2.0 --build rawphoto.c
install -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/gimp/2.0/plug-ins/

%install
# install -m 0755 dcraw $RPM_BUILD_ROOT/usr/bin
install -m 0755 src/rawphoto $RPM_BUILD_ROOT/usr/lib/gimp/2.0/plug-ins/

%files
%defattr(-,root,root)
/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Mar 11 2008 Christian Wasem <wasem@ccux-linux.de> 1.19-3
- rebuild without dcraw binary, using ufraw instead
* Tue Mar 29 2005 Christian Metzen <metzench@ccux-linux.de> 1.19-2
- Updated to real 1.19 Version
* Sat Jan 15 2005 Christian Metzen <metzench@ccux-linux.de> 1.19-1
- Initial Release